| Home | Libraries | People | FAQ | More

###### zlib::deflate_stream::reset (2 of 2 overloads)

Reset the stream without deallocating memory.

###### Synopsis

    void
    reset();

###### Description

This function performs the equivalent of calling `clear` followed by `reset` with the same compression settings, without deallocating the internal buffers.

###### Remarks

Any unprocessed input or pending output from previous calls are discarded.